1. MonMonz

    MonMonz GBAtemp Fan
    Member

    Joined:
    Nov 7, 2014
    Messages:
    465
    Country:
    Egypt
    In my country there is no gamestop and an gonna import it so i have to make sure
    I think am gonna wait tell someone have it to confirm 3.0 update

    — Posts automatically merged - Please don't double post! —

    I can get lego world for less money u know

    — Posts automatically merged - Please don't double post! —

    If you have to import every single game you want you may start consider getting them for free man
    The system itself cost me 460$ !
     
  2. BvanBart

    OP BvanBart Gaming addict #2 and some
    Member

    Joined:
    Apr 16, 2007
    Messages:
    1,306
    Country:
    Netherlands
    :P that is a really weird but funny comparison!
     
  3. Lascamboiro333

    Newcomer

    Joined:
    Apr 14, 2016
    Messages:
    7
    Country:
    Mexico
    Does anyone know what firmware version has SnipperClips Plus cartridge?
     
  4. BvanBart

    OP BvanBart Gaming addict #2 and some
    Member

    Joined:
    Apr 16, 2007
    Messages:
    1,306
    Country:
    Netherlands
    I would say the same as the normal Snipper Clips, but can't confirm it. No shop around here has one.
     
  5. studio1b

    studio1b GBAtemp Regular
    Member

    Joined:
    Mar 14, 2009
    Messages:
    145
    Country:
    United States
  6. ShadowOne333

    ShadowOne333 QVID PRO QVO
    Developer

    Joined:
    Jan 17, 2013
    Messages:
    10,370
    Country:
    Mexico
    Has there been any word on what firmware version does Doom and the RE Revelations games come with?
     
  7. Saver175

    Saver175 Advanced Member
    Newcomer

    Joined:
    Oct 7, 2017
    Messages:
    96
    Country:
    Egypt
    Really thank you man
     
  8. Duhasst0

    Duhasst0 Advanced Member
    Newcomer

    Joined:
    Jul 12, 2015
    Messages:
    91
    Country:
    United States
    Breath of the wild plays on 2.2.0.

    Nevermind reread, nothing to read here.
     
  9. pLaYeR^^

    pLaYeR^^ Doctor Switch
    Member

    Joined:
    Sep 18, 2014
    Messages:
    3,116
    Country:
    Austria
    3.0.0 update only on Pokken Tournament DX Cartridge?
     
  10. JerryShaw

    JerryShaw GBAtemp Regular
    Member

    Joined:
    Feb 7, 2017
    Messages:
    127
    Country:
    Switzerland
    Who knows the firmware version for Just Dance 2018?
     
  11. BvanBart

    OP BvanBart Gaming addict #2 and some
    Member

    Joined:
    Apr 16, 2007
    Messages:
    1,306
    Country:
    Netherlands
    Probably not, but that is the only one I have 100% confirmation from.

    Probably 3.0.2 if not 4.0.0 based on the release date. Safe to say it is not playable on 3.0.0.
     
    pLaYeR^^ likes this.
  12. Dialexio

    Dialexio GBAtemp Advanced Maniac
    Member

    Joined:
    Mar 14, 2009
    Messages:
    1,567
    Country:
    United States
    Just an FYI: Nintendo bumped the minimum system version in some of their games' updates. For example, Splatoon 2 version 1.4.0 had a minimum requirement of 3.0.2, and Mario Kart 8 Deluxe version 1.3.0 has a minimum of 4.0.0.

    This shouldn't be much of a concern since you need a recent firmware in order to update your game, but it might be something to keep note of.
     
  13. BvanBart

    OP BvanBart Gaming addict #2 and some
    Member

    Joined:
    Apr 16, 2007
    Messages:
    1,306
    Country:
    Netherlands
    True! But if you buy a game from the store (so not E-shop) and decide not to update then you can at least see what game you can play on 3.0.0.
    Zelda BOTW sure as hell will be updated when the new DLC will come in. :tpi:
     
  14. steven89

    steven89 Advanced Member
    Newcomer

    Joined:
    Dec 17, 2016
    Messages:
    94
    Country:
    not sure if this has been mentioned already or not but
    Touhou Kobuto V: Burst Battle
    is playable on 3.0.0 with no update
     
    Last edited by steven89, Nov 6, 2017
    BvanBart likes this.
  15. Ceuse

    Ceuse GBAtemp Regular
    Member

    Joined:
    Jul 23, 2017
    Messages:
    130
    Country:
    Germany
    Just a quick suggestion: add the info if additional downloads will be required to play the game/parts of the game. Otherwise later ppl might get a game that could theoreticly played on the fw but cant sice it requires a dowload to run anyway (thinking la noir)
     
    BvanBart likes this.
  16. BvanBart

    OP BvanBart Gaming addict #2 and some
    Member

    Joined:
    Apr 16, 2007
    Messages:
    1,306
    Country:
    Netherlands
    Good idea! Now the only thing is how do I find the update info from games :unsure:
     
  17. lozfaw

    lozfaw Member
    Newcomer

    Joined:
    Jul 31, 2017
    Messages:
    10
    Country:
    Canada
    mario Odyseey?
     
  18. BvanBart

    OP BvanBart Gaming addict #2 and some
    Member

    Joined:
    Apr 16, 2007
    Messages:
    1,306
    Country:
    Netherlands
    It’s already in the list of 3.0.1! So what do you mean?
     
  19. 2Hack

    2Hack HYPiavelli
    Member

    Joined:
    Nov 26, 2014
    Messages:
    2,249
    Country:
    Canada
    kinda hopeless but any idea on Sonic Forces?
     
  20. BvanBart

    OP BvanBart Gaming addict #2 and some
    Member

    Joined:
    Apr 16, 2007
    Messages:
    1,306
    Country:
    Netherlands
    Bad news there. A 1.1 update has been released. As of now when updates need to be installed you need the newest firmware.
     
Draft saved Draft deleted
Loading...

Hide similar threads Similar threads with keywords - required, Firmware, version